
OneWire16f84_Display_Temperature:
;OneWire16f84.mbas,49 :: 		temp_fraction as word
;OneWire16f84.mbas,51 :: 		text = "00.0"
	MOVLW       _text+0
	MOVWF       4065 
	MOVLW       hi_addr(_text+0)
	MOVWF       4066 
	MOVLW       48
	MOVWF       POSTINC1+0 
	MOVLW       48
	MOVWF       POSTINC1+0 
	MOVLW       46
	MOVWF       POSTINC1+0 
	MOVLW       48
	MOVWF       POSTINC1+0 
	CLRF        POSTINC1+0 
;OneWire16f84.mbas,59 :: 		temp_whole = word(temp2write >> RES_SHIFT)
	MOVF        FARG_Display_Temperature_temp2write+0, 0 
	MOVWF       0 
	MOVF        FARG_Display_Temperature_temp2write+1, 0 
	MOVWF       1 
	RRCF        1, 1 
	RRCF        0, 1 
	BCF         1, 7 
	MOVF        0, 0 
	MOVWF       Display_Temperature_temp_whole+0 
;OneWire16f84.mbas,68 :: 		text[0] = (temp_whole div 10)mod 10 + 48             ' Extract tens digit
	MOVLW       10
	MOVWF       4 
	CALL        _Div_8x8_U+0, 0
	MOVLW       10
	MOVWF       4 
	CALL        _Div_8x8_U+0, 0
	MOVF        8, 0 
	MOVWF       0 
	MOVLW       48
	ADDWF       0, 0 
	MOVWF       _text+0 
;OneWire16f84.mbas,69 :: 		text[1] =  temp_whole mod 10        + 48             ' Extract ones digit
	MOVLW       10
	MOVWF       4 
	MOVF        Display_Temperature_temp_whole+0, 0 
	MOVWF       0 
	CALL        _Div_8x8_U+0, 0
	MOVF        8, 0 
	MOVWF       0 
	MOVLW       48
	ADDWF       0, 0 
	MOVWF       _text+1 
;OneWire16f84.mbas,72 :: 		temp_fraction  =  word(temp2write << (4-RES_SHIFT))
	MOVF        FARG_Display_Temperature_temp2write+0, 0 
	MOVWF       0 
	MOVF        FARG_Display_Temperature_temp2write+1, 0 
	MOVWF       1 
	RLCF        0, 1 
	BCF         0, 0 
	RLCF        1, 1 
	RLCF        0, 1 
	BCF         0, 0 
	RLCF        1, 1 
	RLCF        0, 1 
	BCF         0, 0 
	RLCF        1, 1 
;OneWire16f84.mbas,73 :: 		temp_fraction  = temp_fraction and 0x000F
	MOVLW       15
	ANDWF       0, 1 
	MOVLW       0
	ANDWF       1, 1 
;OneWire16f84.mbas,74 :: 		temp_fraction  = temp_fraction * 625
	MOVLW       113
	MOVWF       4 
	MOVLW       2
	MOVWF       5 
	CALL        _Mul_16x16_U+0, 0
;OneWire16f84.mbas,77 :: 		text[3] = word(temp_fraction div 1000)    + 48       ' Extract thousands digit
	MOVLW       232
	MOVWF       4 
	MOVLW       3
	MOVWF       5 
	CALL        _Div_16x16_U+0, 0
	MOVLW       48
	ADDWF       0, 0 
	MOVWF       _text+3 
	RETURN      0
; end of OneWire16f84_Display_Temperature

OneWire16f84_Data_temperature:
;OneWire16f84.mbas,85 :: 		sub procedure Data_temperature( dim i as byte )
;OneWire16f84.mbas,87 :: 		Ow_Reset(PORTA, i)                ' Onewire reset signal
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;OneWire16f84.mbas,88 :: 		Ow_Write(PORTA, i, 0xCC)          ' Issue command SKIP_ROM
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;OneWire16f84.mbas,89 :: 		Ow_Write(PORTA, i, 0x44)          ' Issue command CONVERT_T
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       68
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;OneWire16f84.mbas,91 :: 		Ow_Reset(PORTA, i)
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Reset_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Reset_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Reset_pin+0 
	CALL        _Ow_Reset+0, 0
;OneWire16f84.mbas,92 :: 		Ow_Write(PORTA, i, 0xCC)          ' Issue command SKIP_ROM
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       204
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;OneWire16f84.mbas,93 :: 		Ow_Write(PORTA, i, 0xBE)          ' Issue command READ_SCRATCHPAD
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Write_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Write_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Write_pin+0 
	MOVLW       190
	MOVWF       FARG_Ow_Write_data_+0 
	CALL        _Ow_Write+0, 0
;OneWire16f84.mbas,94 :: 		temp =  Ow_Read(PORTA, i)
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        0, 0 
	MOVWF       _temp+0 
	MOVLW       0
	MOVWF       _temp+1 
;OneWire16f84.mbas,95 :: 		temp = (Ow_Read(PORTA, i) << 8) + temp
	MOVLW       PORTA+0
	MOVWF       FARG_Ow_Read_port+0 
	MOVLW       hi_addr(PORTA+0)
	MOVWF       FARG_Ow_Read_port+1 
	MOVF        FARG_Data_temperature_i+0, 0 
	MOVWF       FARG_Ow_Read_pin+0 
	CALL        _Ow_Read+0, 0
	MOVF        0, 0 
	MOVWF       3 
	MOVLW       0
	MOVWF       4 
	MOVF        3, 0 
	MOVWF       1 
	CLRF        0 
	MOVF        0, 0 
	ADDWF       _temp+0, 1 
	MOVF        1, 0 
	ADDWFC      _temp+1, 1 
	RETURN      0
; end of OneWire16f84_Data_temperature

OneWire16f84_Data_humidity:
;OneWire16f84.mbas,97 :: 		sub procedure Data_humidity( dim i as byte )
;OneWire16f84.mbas,99 :: 		adc_rd = Adc_Read(i)          '   0- 
	MOVF        FARG_Data_humidity_i+0, 0 
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        0, 0 
	MOVWF       _adc_rd+0 
	MOVF        1, 0 
	MOVWF       _adc_rd+1 
;OneWire16f84.mbas,100 :: 		adc_rd = (adc_rd - 205)/6
	MOVLW       205
	SUBWF       0, 1 
	MOVLW       0
	SUBWFB      1, 1 
	MOVLW       6
	MOVWF       4 
	MOVLW       0
	MOVWF       5 
	CALL        _Div_16x16_U+0, 0
	MOVF        0, 0 
	MOVWF       _adc_rd+0 
	MOVF        1, 0 
	MOVWF       _adc_rd+1 
	RETURN      0
; end of OneWire16f84_Data_humidity

OneWire16f84_interrupt:
;OneWire16f84.mbas,102 :: 		sub procedure interrupt '  
;OneWire16f84.mbas,104 :: 		if INTCON.INT0IF = 1 then
	BTFSS       INTCON+0, 1 
	GOTO        L_OneWire16f84_interrupt5
;OneWire16f84.mbas,105 :: 		TempTMR0 = 0        '   
	CLRF        _TempTMR0+0 
;OneWire16f84.mbas,106 :: 		INTCON.INT0IF = 0  '    int
	BCF         INTCON+0, 1 
;OneWire16f84.mbas,107 :: 		INTCON.TMR0IF = 0  '   a
	BCF         INTCON+0, 2 
;OneWire16f84.mbas,108 :: 		T0CON.TMR0ON = 1   ' 
	BSF         T0CON+0, 7 
	GOTO        L_OneWire16f84_interrupt6
;OneWire16f84.mbas,109 :: 		else
L_OneWire16f84_interrupt5:
;OneWire16f84.mbas,111 :: 		if INTCON.TMR0IF = 1 then
	BTFSS       INTCON+0, 2 
	GOTO        L_OneWire16f84_interrupt8
;OneWire16f84.mbas,112 :: 		INTCON.TMR0IF = 0  '   a
	BCF         INTCON+0, 2 
;OneWire16f84.mbas,113 :: 		TMR0L = 0
	CLRF        TMR0L+0 
;OneWire16f84.mbas,114 :: 		if (TempTMR0 > TMRLamp1) and (TempTMR0 > TMRLamp2) then
	MOVF        _TempTMR0+0, 0 
	SUBWF       _TMRLamp1+0, 0 
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       1 
	MOVF        _TempTMR0+0, 0 
	SUBWF       _TMRLamp2+0, 0 
	MOVLW       255
	BTFSC       STATUS+0, 0 
	MOVLW       0
	MOVWF       0 
	MOVF        1, 0 
	ANDWF       0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_OneWire16f84_interrupt11
;OneWire16f84.mbas,115 :: 		T0CON.TMR0ON = 0    ' 
	BCF         T0CON+0, 7 
;OneWire16f84.mbas,116 :: 		PORTC.1 = 0        ' 1
	BCF         PORTC+0, 1 
;OneWire16f84.mbas,117 :: 		PORTC.0 = 0        ' 1
	BCF         PORTC+0, 0 
L_OneWire16f84_interrupt11:
;OneWire16f84.mbas,119 :: 		if TempTMR0 = 58  then
	MOVF        _TempTMR0+0, 0 
	XORLW       58
	BTFSS       STATUS+0, 2 
	GOTO        L_OneWire16f84_interrupt14
;OneWire16f84.mbas,120 :: 		T0CON.TMR0ON = 0    ' 
	BCF         T0CON+0, 7 
;OneWire16f84.mbas,121 :: 		PORTC.1 = 0        ' 1
	BCF         PORTC+0, 1 
;OneWire16f84.mbas,122 :: 		PORTC.0 = 0        ' 1
	BCF         PORTC+0, 0 
	GOTO        L_OneWire16f84_interrupt15
;OneWire16f84.mbas,123 :: 		else
L_OneWire16f84_interrupt14:
;OneWire16f84.mbas,124 :: 		TempTMR0 = TempTMR0 + 1
	INCF        _TempTMR0+0, 1 
;OneWire16f84.mbas,125 :: 		end if
L_OneWire16f84_interrupt15:
;OneWire16f84.mbas,127 :: 		if TempTMR0 = TMRLamp1 then
	MOVF        _TempTMR0+0, 0 
	XORWF       _TMRLamp1+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_OneWire16f84_interrupt17
;OneWire16f84.mbas,128 :: 		PORTC.0 = 1         ' 1
	BSF         PORTC+0, 0 
L_OneWire16f84_interrupt17:
;OneWire16f84.mbas,130 :: 		if TempTMR0 = TMRLamp2 then
	MOVF        _TempTMR0+0, 0 
	XORWF       _TMRLamp2+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_OneWire16f84_interrupt20
;OneWire16f84.mbas,131 :: 		PORTC.1 = 1         ' 1
	BSF         PORTC+0, 1 
L_OneWire16f84_interrupt20:
;OneWire16f84.mbas,133 :: 		INTCON.TMR0IF = 0  '   a
	BCF         INTCON+0, 2 
L_OneWire16f84_interrupt8:
;OneWire16f84.mbas,135 :: 		end if
L_OneWire16f84_interrupt6:
L_OneWire16f84_interrupt79:
	RETFIE      1
; end of OneWire16f84_interrupt

_main:
;OneWire16f84.mbas,138 :: 		main:
;OneWire16f84.mbas,139 :: 		ADCON1 = %10001110       ' =AADADDDD
	MOVLW       142
	MOVWF       ADCON1+0 
;OneWire16f84.mbas,140 :: 		ADCON0 = %00000001       '   (Fosc/2)
	MOVLW       1
	MOVWF       ADCON0+0 
;OneWire16f84.mbas,141 :: 		TRISA = %100011
	MOVLW       35
	MOVWF       TRISA+0 
;OneWire16f84.mbas,142 :: 		TRISB = %00001111
	MOVLW       15
	MOVWF       TRISB+0 
;OneWire16f84.mbas,143 :: 		TRISC = %00011000
	MOVLW       24
	MOVWF       TRISC+0 
;OneWire16f84.mbas,144 :: 		PORTA = 0
	CLRF        PORTA+0 
;OneWire16f84.mbas,145 :: 		PORTB = 0
	CLRF        PORTB+0 
;OneWire16f84.mbas,146 :: 		PORTC = 0
	CLRF        PORTC+0 
;OneWire16f84.mbas,148 :: 		T0CON = %01000100        ' ,16-,., 256
	MOVLW       68
	MOVWF       T0CON+0 
;OneWire16f84.mbas,149 :: 		INTCON = 0
	CLRF        INTCON+0 
;OneWire16f84.mbas,150 :: 		INTCON.INT0IE  = 1    '  INT0
	BSF         INTCON+0, 4 
;OneWire16f84.mbas,151 :: 		INTCON.TMR0IE  = 1    '  TMR0
	BSF         INTCON+0, 5 
;OneWire16f84.mbas,152 :: 		INTCON2 = 0
	CLRF        INTCON2+0 
;OneWire16f84.mbas,153 :: 		INTCON2.INTEDG0 = 1    '    INT0
	BSF         INTCON2+0, 6 
;OneWire16f84.mbas,154 :: 		INTCON2.TMR0IP = 1     '   TMR0
	BSF         INTCON2+0, 2 
;OneWire16f84.mbas,157 :: 		Lcd_Init()                          ' Initialize LCD
	CALL        _Lcd_Init+0, 0
;OneWire16f84.mbas,158 :: 		Lcd_Cmd(_LCD_CLEAR)                 ' Clear LCD
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;OneWire16f84.mbas,159 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)            ' Turn cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;OneWire16f84.mbas,160 :: 		I2C1_Init(100000)                   ' initialize I2C communication
	MOVLW       50
	MOVWF       SSPADD+0 
	CALL        _I2C1_Init+0, 0
;OneWire16f84.mbas,163 :: 		Lcd_Out(1, 1,"Date")
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _main_Local_Text+0
	MOVWF       4065 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       4066 
	MOVLW       68
	MOVWF       POSTINC1+0 
	MOVLW       97
	MOVWF       POSTINC1+0 
	MOVLW       116
	MOVWF       POSTINC1+0 
	MOVLW       101
	MOVWF       POSTINC1+0 
	CLRF        POSTINC1+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,164 :: 		Lcd_Out(2, 1,"Tr 00.0")
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _main_Local_Text+0
	MOVWF       4065 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       4066 
	MOVLW       84
	MOVWF       POSTINC1+0 
	MOVLW       114
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       48
	MOVWF       POSTINC1+0 
	MOVLW       48
	MOVWF       POSTINC1+0 
	MOVLW       46
	MOVWF       POSTINC1+0 
	MOVLW       48
	MOVWF       POSTINC1+0 
	CLRF        POSTINC1+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,165 :: 		LCD_Chr(2, 8, 223)          ' degree character ()
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       223
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;OneWire16f84.mbas,167 :: 		Lcd_Out(3, 2, "D")
	MOVLW       3
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       2
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       68
	MOVWF       _main_Local_Text+0 
	CLRF        _main_Local_Text+1 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,168 :: 		Lcd_Out(3, 5, "T")
	MOVLW       3
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       84
	MOVWF       _main_Local_Text+0 
	CLRF        _main_Local_Text+1 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,169 :: 		LCD_Chr(3, 12, 223)          ' degree character ()
	MOVLW       3
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       12
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       223
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;OneWire16f84.mbas,170 :: 		Lcd_Out(3, 14,"H   %")
	MOVLW       3
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _main_Local_Text+0
	MOVWF       4065 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       4066 
	MOVLW       72
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       37
	MOVWF       POSTINC1+0 
	CLRF        POSTINC1+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,172 :: 		Lcd_Out(4, 2, "D")
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       2
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       68
	MOVWF       _main_Local_Text+0 
	CLRF        _main_Local_Text+1 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,173 :: 		Lcd_Out(4, 5, "T")
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       84
	MOVWF       _main_Local_Text+0 
	CLRF        _main_Local_Text+1 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,174 :: 		LCD_Chr(4, 12, 223)          ' degree character ()
	MOVLW       4
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       12
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       223
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;OneWire16f84.mbas,175 :: 		Lcd_Out(4, 14,"H   %")
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _main_Local_Text+0
	MOVWF       4065 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       4066 
	MOVLW       72
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       37
	MOVWF       POSTINC1+0 
	CLRF        POSTINC1+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,179 :: 		Delta = 1
	MOVLW       1
	MOVWF       _Delta+0 
;OneWire16f84.mbas,180 :: 		TMRLamp1 = 49
	MOVLW       49
	MOVWF       _TMRLamp1+0 
;OneWire16f84.mbas,181 :: 		TMRLamp2 = TMRLamp1
	MOVLW       49
	MOVWF       _TMRLamp2+0 
;OneWire16f84.mbas,182 :: 		TMR0L = 0
	CLRF        TMR0L+0 
;OneWire16f84.mbas,183 :: 		text = "00.0"
	MOVLW       _text+0
	MOVWF       4065 
	MOVLW       hi_addr(_text+0)
	MOVWF       4066 
	MOVLW       48
	MOVWF       POSTINC1+0 
	MOVLW       48
	MOVWF       POSTINC1+0 
	MOVLW       46
	MOVWF       POSTINC1+0 
	MOVLW       48
	MOVWF       POSTINC1+0 
	CLRF        POSTINC1+0 
;OneWire16f84.mbas,185 :: 		TClamp1 = EEPROM_Read($00)
	CLRF        FARG_EEPROM_Read_address+0 
	CLRF        FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        0, 0 
	MOVWF       _TClamp1+0 
	MOVLW       0
	MOVWF       _TClamp1+1 
;OneWire16f84.mbas,186 :: 		TClamp2 = EEPROM_Read($01)
	MOVLW       1
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        0, 0 
	MOVWF       _TClamp2+0 
	MOVLW       0
	MOVWF       _TClamp2+1 
;OneWire16f84.mbas,187 :: 		HC1 =  EEPROM_Read($02)
	MOVLW       2
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        0, 0 
	MOVWF       _HC1+0 
;OneWire16f84.mbas,188 :: 		HC2 =  EEPROM_Read($03)
	MOVLW       3
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        0, 0 
	MOVWF       _HC2+0 
;OneWire16f84.mbas,189 :: 		TCroom = EEPROM_Read($04)
	MOVLW       4
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        0, 0 
	MOVWF       _TCroom+0 
	MOVLW       0
	MOVWF       _TCroom+1 
;OneWire16f84.mbas,191 :: 		INTCON.GIE = 1             ' 
	BSF         INTCON+0, 7 
;OneWire16f84.mbas,193 :: 		while TRUE
L__main24:
;OneWire16f84.mbas,195 :: 		Data_temperature (2)
	MOVLW       2
	MOVWF       FARG_Data_temperature_i+0 
	CALL        OneWire16f84_Data_temperature+0, 0
;OneWire16f84.mbas,196 :: 		Tlamp1 = temp
	MOVF        _temp+0, 0 
	MOVWF       _Tlamp1+0 
	MOVF        _temp+1, 0 
	MOVWF       _Tlamp1+1 
;OneWire16f84.mbas,197 :: 		Data_humidity (0)
	CLRF        FARG_Data_humidity_i+0 
	CALL        OneWire16f84_Data_humidity+0, 0
;OneWire16f84.mbas,198 :: 		Hum1 = adc_rd
	MOVF        _adc_rd+0, 0 
	MOVWF       _Hum1+0 
;OneWire16f84.mbas,199 :: 		Data_temperature (3)
	MOVLW       3
	MOVWF       FARG_Data_temperature_i+0 
	CALL        OneWire16f84_Data_temperature+0, 0
;OneWire16f84.mbas,200 :: 		Tlamp2 = temp
	MOVF        _temp+0, 0 
	MOVWF       _Tlamp2+0 
	MOVF        _temp+1, 0 
	MOVWF       _Tlamp2+1 
;OneWire16f84.mbas,201 :: 		Data_humidity (1)
	MOVLW       1
	MOVWF       FARG_Data_humidity_i+0 
	CALL        OneWire16f84_Data_humidity+0, 0
;OneWire16f84.mbas,202 :: 		Hum2 = adc_rd
	MOVF        _adc_rd+0, 0 
	MOVWF       _Hum2+0 
;OneWire16f84.mbas,203 :: 		Data_temperature (4)
	MOVLW       4
	MOVWF       FARG_Data_temperature_i+0 
	CALL        OneWire16f84_Data_temperature+0, 0
;OneWire16f84.mbas,204 :: 		Troom = temp
	MOVF        _temp+0, 0 
	MOVWF       _Troom+0 
	MOVF        _temp+1, 0 
	MOVWF       _Troom+1 
;OneWire16f84.mbas,205 :: 		Display_Temperature(Troom)
	MOVF        _temp+0, 0 
	MOVWF       FARG_Display_Temperature_temp2write+0 
	MOVF        _temp+1, 0 
	MOVWF       FARG_Display_Temperature_temp2write+1 
	CALL        OneWire16f84_Display_Temperature+0, 0
;OneWire16f84.mbas,206 :: 		Lcd_Out(2, 4, text)
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       4
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,208 :: 		Display_Temperature(Tlamp1)
	MOVF        _Tlamp1+0, 0 
	MOVWF       FARG_Display_Temperature_temp2write+0 
	MOVF        _Tlamp1+1, 0 
	MOVWF       FARG_Display_Temperature_temp2write+1 
	CALL        OneWire16f84_Display_Temperature+0, 0
;OneWire16f84.mbas,209 :: 		Lcd_Out(3, 7, text)
	MOVLW       3
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,211 :: 		Display_Temperature(Tlamp2)
	MOVF        _Tlamp2+0, 0 
	MOVWF       FARG_Display_Temperature_temp2write+0 
	MOVF        _Tlamp2+1, 0 
	MOVWF       FARG_Display_Temperature_temp2write+1 
	CALL        OneWire16f84_Display_Temperature+0, 0
;OneWire16f84.mbas,212 :: 		Lcd_Out(4, 7, text)
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,214 :: 		ByteToStr(hum1, text2)
	MOVF        _Hum1+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _text2+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_text2+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;OneWire16f84.mbas,215 :: 		Lcd_Out(3, 15, text2)
	MOVLW       3
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       15
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _text2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_text2+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,216 :: 		ByteToStr(hum2, text2)
	MOVF        _Hum2+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _text2+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_text2+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;OneWire16f84.mbas,217 :: 		Lcd_Out(4, 15, text2)
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       15
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _text2+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_text2+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,223 :: 		if Button(PORTB, 1, 2, 0) and Button(PORTB, 3, 2, 1) then
	MOVLW       PORTB+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTB+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       1
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time+0 
	CLRF        FARG_Button_activeState+0 
	CALL        _Button+0, 0
	MOVF        0, 0 
	MOVWF       FLOC__main+0 
	MOVLW       PORTB+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTB+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       3
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time+0 
	MOVLW       1
	MOVWF       FARG_Button_activeState+0 
	CALL        _Button+0, 0
	MOVF        FLOC__main+0, 0 
	ANDWF       0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main29
;OneWire16f84.mbas,224 :: 		if TMRLamp1 < 58 then
	MOVLW       58
	SUBWF       _TMRLamp1+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__main32
;OneWire16f84.mbas,225 :: 		TMRLamp1 = TMRLamp1 + 1
	INCF        _TMRLamp1+0, 1 
L__main32:
;OneWire16f84.mbas,226 :: 		end if
L__main29:
;OneWire16f84.mbas,228 :: 		if Button(PORTB, 2, 2, 0) and Button(PORTB, 3, 2, 1) then
	MOVLW       PORTB+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTB+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       2
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time+0 
	CLRF        FARG_Button_activeState+0 
	CALL        _Button+0, 0
	MOVF        0, 0 
	MOVWF       FLOC__main+0 
	MOVLW       PORTB+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTB+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       3
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time+0 
	MOVLW       1
	MOVWF       FARG_Button_activeState+0 
	CALL        _Button+0, 0
	MOVF        FLOC__main+0, 0 
	ANDWF       0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main35
;OneWire16f84.mbas,229 :: 		if TMRLamp1 > 1 then
	MOVF        _TMRLamp1+0, 0 
	SUBLW       1
	BTFSC       STATUS+0, 0 
	GOTO        L__main38
;OneWire16f84.mbas,230 :: 		TMRLamp1 = TMRLamp1 - 1
	DECF        _TMRLamp1+0, 1 
L__main38:
;OneWire16f84.mbas,231 :: 		end if
L__main35:
;OneWire16f84.mbas,233 :: 		if Button(PORTB, 1, 2, 0) and Button(PORTB, 3, 2, 0) then
	MOVLW       PORTB+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTB+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       1
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time+0 
	CLRF        FARG_Button_activeState+0 
	CALL        _Button+0, 0
	MOVF        0, 0 
	MOVWF       FLOC__main+0 
	MOVLW       PORTB+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTB+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       3
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time+0 
	CLRF        FARG_Button_activeState+0 
	CALL        _Button+0, 0
	MOVF        FLOC__main+0, 0 
	ANDWF       0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main41
;OneWire16f84.mbas,234 :: 		if TMRLamp2 < 58 then
	MOVLW       58
	SUBWF       _TMRLamp2+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__main44
;OneWire16f84.mbas,235 :: 		TMRLamp2 = TMRLamp2 + 1
	INCF        _TMRLamp2+0, 1 
L__main44:
;OneWire16f84.mbas,236 :: 		end if
L__main41:
;OneWire16f84.mbas,238 :: 		if Button(PORTB, 2, 2, 0) and Button(PORTB, 3, 2, 0) then
	MOVLW       PORTB+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTB+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       2
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time+0 
	CLRF        FARG_Button_activeState+0 
	CALL        _Button+0, 0
	MOVF        0, 0 
	MOVWF       FLOC__main+0 
	MOVLW       PORTB+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTB+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       3
	MOVWF       FARG_Button_pin+0 
	MOVLW       2
	MOVWF       FARG_Button_time+0 
	CLRF        FARG_Button_activeState+0 
	CALL        _Button+0, 0
	MOVF        FLOC__main+0, 0 
	ANDWF       0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main47
;OneWire16f84.mbas,239 :: 		if TMRLamp2 > 1 then
	MOVF        _TMRLamp2+0, 0 
	SUBLW       1
	BTFSC       STATUS+0, 0 
	GOTO        L__main50
;OneWire16f84.mbas,240 :: 		TMRLamp2 = TMRLamp2 - 1
	DECF        _TMRLamp2+0, 1 
L__main50:
;OneWire16f84.mbas,241 :: 		end if
L__main47:
;OneWire16f84.mbas,258 :: 		I2C1_Start ()            ' Issue I2C start signal
	CALL        _I2C1_Start+0, 0
;OneWire16f84.mbas,259 :: 		I2C1_Wr($A0)           ' Send byte via I2C(command to pcf8583)
	MOVLW       160
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;OneWire16f84.mbas,260 :: 		I2C1_Wr($03)
	MOVLW       3
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;OneWire16f84.mbas,261 :: 		I2C1_Repeated_Start()
	CALL        _I2C1_Repeated_Start+0, 0
;OneWire16f84.mbas,262 :: 		I2C1_Wr($A0)
	MOVLW       160
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;OneWire16f84.mbas,265 :: 		I2C1_Stop()
	CALL        _I2C1_Stop+0, 0
;OneWire16f84.mbas,267 :: 		day = Bcd2Dec16(date1)
	MOVF        _date1+0, 0 
	MOVWF       FARG_Bcd2Dec16_bcd_num+0 
	MOVLW       0
	MOVWF       FARG_Bcd2Dec16_bcd_num+1 
	CALL        _Bcd2Dec16+0, 0
	MOVF        0, 0 
	MOVWF       _day+0 
;OneWire16f84.mbas,268 :: 		ByteToStr(day, text)
	MOVF        0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _text+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_text+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;OneWire16f84.mbas,269 :: 		Lcd_Out(1, 7, text)
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,272 :: 		if HC1 = Hum1 then
	MOVF        _HC1+0, 0 
	XORWF       _Hum1+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main53
;OneWire16f84.mbas,273 :: 		Lcd_Out(1, 18, "Ok ")
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       18
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       79
	MOVWF       _main_Local_Text+0 
	MOVLW       107
	MOVWF       _main_Local_Text+1 
	MOVLW       32
	MOVWF       _main_Local_Text+2 
	CLRF        _main_Local_Text+3 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	GOTO        L__main54
;OneWire16f84.mbas,274 :: 		else
L__main53:
;OneWire16f84.mbas,275 :: 		Lcd_Out(1, 18, "Err")
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       18
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       69
	MOVWF       _main_Local_Text+0 
	MOVLW       114
	MOVWF       _main_Local_Text+1 
	MOVLW       114
	MOVWF       _main_Local_Text+2 
	CLRF        _main_Local_Text+3 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,276 :: 		end if
L__main54:
;OneWire16f84.mbas,278 :: 		if HC2 = Hum2 then
	MOVF        _HC2+0, 0 
	XORWF       _Hum2+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main56
;OneWire16f84.mbas,279 :: 		Lcd_Out(2, 18, "Ok ")
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       18
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       79
	MOVWF       _main_Local_Text+0 
	MOVLW       107
	MOVWF       _main_Local_Text+1 
	MOVLW       32
	MOVWF       _main_Local_Text+2 
	CLRF        _main_Local_Text+3 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	GOTO        L__main57
;OneWire16f84.mbas,280 :: 		else
L__main56:
;OneWire16f84.mbas,281 :: 		Lcd_Out(2, 18, "Err")
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       18
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       69
	MOVWF       _main_Local_Text+0 
	MOVLW       114
	MOVWF       _main_Local_Text+1 
	MOVLW       114
	MOVWF       _main_Local_Text+2 
	CLRF        _main_Local_Text+3 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;OneWire16f84.mbas,282 :: 		end if
L__main57:
;OneWire16f84.mbas,284 :: 		if TClamp1  > Tlamp1  then
	MOVF        _TClamp1+1, 0 
	SUBWF       _Tlamp1+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main80
	MOVF        _TClamp1+0, 0 
	SUBWF       _Tlamp1+0, 0 
L__main80:
	BTFSC       STATUS+0, 0 
	GOTO        L__main59
;OneWire16f84.mbas,285 :: 		if TMRLamp1 > 1 then
	MOVF        _TMRLamp1+0, 0 
	SUBLW       1
	BTFSC       STATUS+0, 0 
	GOTO        L__main62
;OneWire16f84.mbas,286 :: 		TMRLamp1 = TMRLamp1 - 1
	DECF        _TMRLamp1+0, 1 
L__main62:
;OneWire16f84.mbas,287 :: 		end if
	GOTO        L__main60
;OneWire16f84.mbas,288 :: 		else
L__main59:
;OneWire16f84.mbas,289 :: 		if TMRLamp1  < 57  then
	MOVLW       57
	SUBWF       _TMRLamp1+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__main65
;OneWire16f84.mbas,290 :: 		TMRLamp1 = TMRLamp1 +1
	INCF        _TMRLamp1+0, 1 
L__main65:
;OneWire16f84.mbas,292 :: 		end if
L__main60:
;OneWire16f84.mbas,294 :: 		if TClamp2  > Tlamp2 then
	MOVF        _TClamp2+1, 0 
	SUBWF       _Tlamp2+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main81
	MOVF        _TClamp2+0, 0 
	SUBWF       _Tlamp2+0, 0 
L__main81:
	BTFSC       STATUS+0, 0 
	GOTO        L__main68
;OneWire16f84.mbas,295 :: 		if TMRLamp2 > 1 then
	MOVF        _TMRLamp2+0, 0 
	SUBLW       1
	BTFSC       STATUS+0, 0 
	GOTO        L__main71
;OneWire16f84.mbas,296 :: 		TMRLamp2 = TMRLamp2 - 1
	DECF        _TMRLamp2+0, 1 
L__main71:
;OneWire16f84.mbas,297 :: 		end if
	GOTO        L__main69
;OneWire16f84.mbas,298 :: 		else
L__main68:
;OneWire16f84.mbas,299 :: 		if  TMRLamp2  < 57 then
	MOVLW       57
	SUBWF       _TMRLamp2+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__main74
;OneWire16f84.mbas,300 :: 		TMRLamp2 = TMRLamp2 +1
	INCF        _TMRLamp2+0, 1 
L__main74:
;OneWire16f84.mbas,302 :: 		end if
L__main69:
;OneWire16f84.mbas,304 :: 		if TCroom  > Troom  then
	MOVF        _TCroom+1, 0 
	SUBWF       _Troom+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main82
	MOVF        _TCroom+0, 0 
	SUBWF       _Troom+0, 0 
L__main82:
	BTFSC       STATUS+0, 0 
	GOTO        L__main77
;OneWire16f84.mbas,305 :: 		PORTC.2 = 1
	BSF         PORTC+0, 2 
	GOTO        L__main78
;OneWire16f84.mbas,306 :: 		else
L__main77:
;OneWire16f84.mbas,307 :: 		PORTC.2 = 0
	BCF         PORTC+0, 2 
;OneWire16f84.mbas,308 :: 		end if
L__main78:
	GOTO        L__main24
;OneWire16f84.mbas,314 :: 		wend
	GOTO        $+0
; end of _main
